Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Interface HasDatabasesInterface

All Known Implementing Classes:
  JobMeta, TransMeta

    public interface HasDatabasesInterface

Method Summary
`void` | `addDatabase(org.pentaho.di.core.database.DatabaseMeta databaseMeta)` Add a database connection to the transformation.
`void` | `addDatabase(int p, org.pentaho.di.core.database.DatabaseMeta ci)` Add a database connection to the transformation on a certain location.
`void` | `addOrReplaceDatabase(org.pentaho.di.core.database.DatabaseMeta databaseMeta)` Add a database connection to the transformation if that connection didn't exists yet.
`org.pentaho.di.core.database.DatabaseMeta` | `findDatabase(String name)` Searches the list of databases for a database with a certain name
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabase(int i)` Retrieves a database connection information a a certain location.
`List<org.pentaho.di.core.database.DatabaseMeta>` | `getDatabases()` Get an ArrayList of defined DatabaseInfo objects.
`boolean` | `haveConnectionsChanged()` Checks whether or not the connections have changed.
`int` | `indexOfDatabase(org.pentaho.di.core.database.DatabaseMeta ci)` Find the location of database
`int` | `nrDatabases()` Count the nr of databases in the transformation.
`void` | `readDatabases(Repository rep, boolean overWriteShared)` Read the database connections in the repository and add them to this transformation if they are not yet present.
`void` | `removeDatabase(int i)` Removes a database from the transformation on a certain location.
`void` | `setDatabases(List<org.pentaho.di.core.database.DatabaseMeta> databases)`

Method Detail

### getDatabases

    List<org.pentaho.di.core.database.DatabaseMeta> getDatabases()

  Get an ArrayList of defined DatabaseInfo objects.

  Returns:
    an ArrayList of defined DatabaseInfo objects.

### setDatabases

    void setDatabases(List<org.pentaho.di.core.database.DatabaseMeta> databases)

  Parameters:
    `databases` - The databases to set.

### addDatabase

    void addDatabase(org.pentaho.di.core.database.DatabaseMeta databaseMeta)

  Add a database connection to the transformation.

  Parameters:
    `databaseMeta` - The database connection information.

### addOrReplaceDatabase

    void addOrReplaceDatabase(org.pentaho.di.core.database.DatabaseMeta databaseMeta)

  Add a database connection to the transformation if that connection didn't exists yet. Otherwise, replace the connection in the transformation

  Parameters:
    `databaseMeta` - The database connection information.

### addDatabase

    void addDatabase(int p,
                     org.pentaho.di.core.database.DatabaseMeta ci)

  Add a database connection to the transformation on a certain location.

  Parameters:
    `p` - The location
    `ci` - The database connection information.

### getDatabase

    org.pentaho.di.core.database.DatabaseMeta getDatabase(int i)

  Retrieves a database connection information a a certain location.

  Parameters:
    `i` - The database number.
  Returns:
    The database connection information.

### removeDatabase

    void removeDatabase(int i)

  Removes a database from the transformation on a certain location.

  Parameters:
    `i` - The location

### nrDatabases

    int nrDatabases()

  Count the nr of databases in the transformation.

  Returns:
    The nr of databases

### findDatabase

    org.pentaho.di.core.database.DatabaseMeta findDatabase(String name)

  Searches the list of databases for a database with a certain name

  Parameters:
    `name` - The name of the database connection
  Returns:
    The database connection information or null if nothing was found.

### readDatabases

    void readDatabases(Repository rep,
                       boolean overWriteShared)
                       throws org.pentaho.di.core.exception.KettleException

  Read the database connections in the repository and add them to this transformation if they are not yet present.

  Parameters:
    `rep` - The repository to load the database connections from.
    `overWriteShared` - if an object with the same name exists, overwrite
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### indexOfDatabase

    int indexOfDatabase(org.pentaho.di.core.database.DatabaseMeta ci)

  Find the location of database

  Parameters:
    `ci` - The database queried
  Returns:
    The location of the database, -1 if nothing was found.

### haveConnectionsChanged

    boolean haveConnectionsChanged()

  Checks whether or not the connections have changed.

  Returns:
    True if the connections have been changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD